#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <stdlib.h>
#include <locale.h>
#include <math.h>

void vvod_parametrov(double* a, double* b, double* c) {
    printf("  a: ");
    scanf("%lf", a);
    printf("  b: ");
    scanf("%lf", b);
    printf("  c: ");
    scanf("%lf", c);
}
void reshenie_kvadratnogo_uravneniya(double a, double b, double c) {
    double discriminant = b * b - 4 * a * c;
    if (discriminant > 0) {
        double x1 = (-b + sqrt(discriminant)) / (2 * a);
        double x2 = (-b - sqrt(discriminant)) / (2 * a);
        printf("   :\n");
        printf("x1 = %.2lf\n", x1);
        printf("x2 = %.2lf\n", x2);
    }
    else if (discriminant == 0) {
        double x = -b / (2 * a);
        printf("   :\n");
        printf("x = %.2lf\n", x);
    }
    else {
        printf("    .\n");
    }
}
void reshenie_sistemy_uravneniy(double a1, double b1, double c1, double a2, double b2, double c2) {
    double det, x, y;
    det = a1 * b2 - a2 * b1;
    if (det == 0) {
        if (a1 / a2 == b1 / b2 && a1 / a2 == c1 / c2) {
            printf("    .\n");
        }
        else {
            printf("   .\n");
        }
        return;
    }
    x = (c1 * b2 - c2 * b1) / det;
    y = (a1 * c2 - a2 * c1) / det;
    printf("  :\n");
    printf("x = %.2lf\n", x);
    printf("y = %.2lf\n", y);
}
int faktorial(double n) {
    if (n == 0) {
        return 1;
    }
    else {
        return n * faktorial(n - 1);
    }
}
void vyvod_rezultata(int zadacha, double a, double b, double c, int n) {
    switch (zadacha) {
    case 1:
        reshenie_kvadratnogo_uravneniya(a, b, c);
        break;
    case 2:
        reshenie_sistemy_uravneniy(a, b, c, 0, 0, 0);
        break;
    case 3:
        printf("  %d  %d\n", n, faktorial(n));
        break;
    default:
        printf("  .\n");
    }
}

int main() {
    setlocale(LC_ALL, "Russian");
    int zadacha;
    while (1) {
        printf(" :\n");
        printf("1.  \n");
        printf("2.    \n");
        printf("3.  ()\n");
        printf("0. \n");
        printf("  : ");
        if (scanf("%d", &zadacha) != 1 || zadacha < 0 || zadacha > 3) {
            printf(" .  .\n");
            continue;
        }
        if (zadacha == 0) {
            break;
        }
        double a, b, c;
        double a2, b2, c2;
        int n;
        switch (zadacha) {
        case 1:
            vvod_parametrov(&a, &b, &c);
            vyvod_rezultata(zadacha, a, b, c, 0);
            break;
        case 2:
            vvod_parametrov(&a, &b, &c);
            vvod_parametrov(&a2, &b2, &c2);
            vyvod_rezultata(zadacha, a, b, c, 0);
            break;
        case 3:
            printf("    : ");
            while (scanf("%d", &n) != 1 || n < 0) {
                printf(" .   : ");
            }
            vyvod_rezultata(zadacha, 0, 0, 0, n);
            break;
        }
    }
    return 0;
}